/// @file   initialization.cpp
/// @brief  Initialize simulation of ants walking on a ruler
/// @author Ramses van Zon
/// @date   2021

#include "initialization.h"
#include <rarray>

/// @brief Function to initially place the ants evenly on the ruler
void initialize(rvector<int> number_of_ants, int length, int total_ants, int margin)
{
   for (int n = 0; n < margin; n++) 
       number_of_ants[n]= 0;
   for (int n = margin; n < number_of_ants.size() - margin; n++) 
       number_of_ants[n] = ((long long)(n+1-margin)*total_ants)/length 
                         - ((long long)(n-margin)*total_ants)/(length);
   for (int n = number_of_ants.size() - margin; n < number_of_ants.size(); n++) 
       number_of_ants[n]= 0;
}
