/// @file   initialization.h
/// @brief  Initialize simulation of ants walking on a ruler.
/// @author Ramses van Zon
/// @date   2021
#ifndef INITIALIZATIONH
#define INITIALIZATIONH

#include <rarray>

/// @brief Function to uniformly place ants evenly on square on a the ruler
///
/// @param  number_of_ants  rvector representing a ruler
/// @param  length          length of the ruler (without guard cells)
/// @param  total_ants      number of ants to place on the ruler
/// @param  margin          number of cells to leave empty on either size (for guard cells)
///
/// @return void
void initialize(rvector<int> number_of_ants, int length, int total_ants, int margin);

#endif
