/// @file   output.cpp
/// @brief  Output routines for simulation of ants walking on a ruler.
/// @author Ramses van Zon
/// @date   2021

#include <iostream>
#include <fstream>
#include <rarray>

/// Function to write a vector to an already opened binary file stream.
void write_array_binary(std::ofstream &file, rvector<int> a, int margin)
{
   const int nrow = 1;
   const int ncol = a.extent(0) - 2*margin;
   file.write((char*)(&nrow), sizeof(int));
   file.write((char*)(&ncol), sizeof(int));
   file.write((char*)(a.data()+margin), sizeof(int)*ncol);
}

///
void minmaxtot(rvector<int> number_of_ants, int& nmin, int& nmax, int& total_ants)
{
    // count ants and determine minimum and maximum number on a square
    nmin = 2000000000;
    nmax = 0;
    total_ants = 0;
    const int length = number_of_ants.extent(0)-2;
    for (int i = 1; i <= length; i++) {
        total_ants += number_of_ants[i];
        if (nmin > number_of_ants[i]) {
            nmin = number_of_ants[i];
        }
        if (nmax < number_of_ants[i]) {
            nmax = number_of_ants[i];
        }
    }
}

///
void report(int stepnum, int nmin, int nmax, int total_ants)
{
    if (stepnum == 0)
        std::cout << "step\t#ants min max\n";
    std::cout << stepnum << "\t" << total_ants << " " << nmin << " " << nmax << std::endl;
}
